Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.applet
Interface AppletContext

public interface AppletContext

This interface corresponds to an applet's environment: the document containing the applet and the other applets in the same document.

The methods in this interface can be used by an applet to obtain information about its environment.

Since:
  JDK1.0

Method Summary
`Applet` | `getApplet(String name)` Finds and returns the applet in the document represented by this applet context with the given name.
`Enumeration` | `getApplets()` Finds all the applets in the document represented by this applet context.
`AudioClip` | `getAudioClip(URL url)` Creates an audio clip.
`Image` | `getImage(URL url)` Returns an `Image` object that can then be painted on the screen.
`InputStream` | `getStream(String key)` Returns the stream to which specified key is associated within this applet context.
`Iterator` | `getStreamKeys()` Finds all the keys of the streams in this applet context.
`void` | `setStream(String key, InputStream stream)` Associates the specified stream with the specified key in this applet context.
`void` | `showDocument(URL url)` Replaces the Web page currently being viewed with the given URL.
`void` | `showDocument(URL url, String target)` Requests that the browser or applet viewer show the Web page indicated by the `url` argument.
`void` | `showStatus(String status)` Requests that the argument string be displayed in the "status window".

Method Detail

### getAudioClip

    public AudioClip getAudioClip(URL url)

  Creates an audio clip.

  Parameters:
    `url` - an absolute URL giving the location of the audio clip.
  Returns:
    the audio clip at the specified URL.

### getImage

    public Image getImage(URL url)

  Returns an `Image` object that can then be painted on the screen. The `url` argument`` that is passed as an argument must specify an absolute URL.

  This method always returns immediately, whether or not the image exists. When the applet attempts to draw the image on the screen, the data will be loaded. The graphics primitives that draw the image will incrementally paint on the screen.

  Parameters:
    `url` - an absolute URL giving the location of the image.
  Returns:
    the image at the specified URL.
  See Also:
    `Image`

### getApplet

    public Applet getApplet(String name)

  Finds and returns the applet in the document represented by this applet context with the given name. The name can be set in the HTML tag by setting the `name` attribute.

  Parameters:
    `name` - an applet name.
  Returns:
    the applet with the given name, or `null` if not found.

### getApplets

    public Enumeration getApplets()

  Finds all the applets in the document represented by this applet context.

  Returns:
    an enumeration of all applets in the document represented by this applet context.

### showDocument

    public void showDocument(URL url)

  Replaces the Web page currently being viewed with the given URL. This method may be ignored by applet contexts that are not browsers.

  Parameters:
    `url` - an absolute URL giving the location of the document.

### showDocument

    public void showDocument(URL url,
                             String target)

  Requests that the browser or applet viewer show the Web page indicated by the `url` argument. The `target` argument indicates in which HTML frame the document is to be displayed. The target argument is interpreted as follows:

  `"_self"` | Show in the window and frame that contain the applet.
  `"_parent"` | Show in the applet's parent frame. If the applet's frame has no parent frame, acts the same as "_self".
  `"_top"` | Show in the top-level frame of the applet's window. If the applet's frame is the top-level frame, acts the same as "_self".
  `"_blank"` | Show in a new, unnamed top-level window.
  name | Show in the frame or window named name. If a target named name does not already exist, a new top-level window with the specified name is created, and the document is shown there.

  An applet viewer or browser is free to ignore `showDocument`.

  Parameters:
    `url` - an absolute URL giving the location of the document.
    `target` - a `String` indicating where to display the page.

### showStatus

    public void showStatus(String status)

  Requests that the argument string be displayed in the "status window". Many browsers and applet viewers provide such a window, where the application can inform users of its current state.

  Parameters:
    `status` - a string to display in the status window.

### setStream

    public void setStream(String key,
                          InputStream stream)
                   throws IOException

  Associates the specified stream with the specified key in this applet context. If the applet context previously contained a mapping for this key, the old value is replaced.

  For security reasons, mapping of streams and keys exists for each codebase. In other words, applet from one codebase cannot access the streams created by an applet from a different codebase

  Parameters:
    `key` - key with which the specified value is to be associated.
    `stream` - stream to be associated with the specified key. If this parameter is `null`, the specified key is removed in this applet context.``
  Throws:
    ``IOException`` - if the stream size exceeds a certain size limit. Size limit is decided by the implementor of this interface.
    `IOException`
  Since:
    JDK1.4

### getStream

    public InputStream getStream(String key)

  Returns the stream to which specified key is associated within this applet context. Returns `null` if the applet context contains no stream for this key.

  For security reasons, mapping of streams and keys exists for each codebase. In other words, applet from one codebase cannot access the streams created by an applet from a different codebase

  Parameters:
    `key` - key whose associated stream is to be returned.
  Returns:
    the stream to which this applet context maps the key
  Since:
    JDK1.4

### getStreamKeys

    public Iterator getStreamKeys()

  Finds all the keys of the streams in this applet context.

  For security reasons, mapping of streams and keys exists for each codebase. In other words, applet from one codebase cannot access the streams created by an applet from a different codebase

  Returns:
    an Iterator of all the names of the streams in this applet context.
  Since:
    JDK1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.